Package picard.illumina.parser

## Enum IlluminaDataType

- java.lang.Object
- - java.lang.Enum<IlluminaDataType>
  - - picard.illumina.parser.IlluminaDataType

- All Implemented Interfaces:
    `Serializable`, `Comparable<IlluminaDataType>`

      public enum IlluminaDataType
      extends Enum<IlluminaDataType>

  List of data types of interest when parsing Illumina data. Because different Illumina versions splatter data of these types across different files, by specifying only the data types of interest, the number of files read can be reduced.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Barcodes` |
    `BaseCalls` |
    `PF` |
    `Position` |
    `QualityScores` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IlluminaDataType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IlluminaDataType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Position

          public static final IlluminaDataType Position

    - #### BaseCalls

          public static final IlluminaDataType BaseCalls

    - #### QualityScores

          public static final IlluminaDataType QualityScores

    - #### PF

          public static final IlluminaDataType PF

    - #### Barcodes

          public static final IlluminaDataType Barcodes

  - ### Method Detail

    - #### values

          public static IlluminaDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IlluminaDataType c : IlluminaDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IlluminaDataType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null